<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning: sticky</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        #container {
            background: lightgrey;
            width: 500px;
            height: 300px;
            overflow-x: hidden;
            overflow-y: auto;
        }

        h1 {
            display: block;
            position: sticky;
            top: 0px;
            background: lightgreen;
        }
    </style>
</head>
<body>
    <div id="container">
        <h1>Pealkiri 1</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Explicabo, iusto omnis voluptas nostrum, vero eius nemo soluta, quis officia rerum eum architecto suscipit. Dolore dolorem consequatur in eum reiciendis autem.
        </p>
        <h1>Pealkiri 2</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 3</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 4</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 5</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 6</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 7</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 8</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 9</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 10</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 11</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
        <h1>Pealkiri 12</h1>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, aspernatur maiores et modi, libero porro velit soluta molestias dicta, in vero. Sapiente, suscipit eum? Eius hic modi quasi impedit molestias.
        </p>
    </div>
</body>
</html>